Bug 1130287 - Guided rule editor, can the modify actions be greyed out if the variable doesn't exist
Summary: Guided rule editor, can the modify actions be greyed out if the variable does...
Keywords:
Status: NEW
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.2
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: ---
Assignee: manstis
QA Contact: Jiri Locker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-14 19:12 UTC by Jim Tyrrell
Modified: 2018-01-30 14:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Enhancement


Attachments (Terms of Use)
Showing all the choices that are available (47.63 KB, image/png)
2014-08-14 19:12 UTC, Jim Tyrrell
no flags Details
Smaller list that happens w/o a variable inserted. (41.99 KB, image/png)
2014-08-14 19:12 UTC, Jim Tyrrell
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1130284 None None None Never

Internal Links: 1130284

Description Jim Tyrrell 2014-08-14 19:12:23 UTC
Created attachment 926885 [details]
Showing all the choices that are available

Description of problem:
It is really hard to remember all the options in the then clause pop up.  I really struggled with a few errors, before I got to the correct state.  I would really like the modify/change options to be greyed out if the variable was not created.  Or should the variable always be inserted when generating the when statement?

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Jim Tyrrell 2014-08-14 19:12:46 UTC
Created attachment 926886 [details]
Smaller list that happens w/o a variable inserted.

Comment 3 manstis 2014-08-15 09:12:42 UTC
This requires a re-design of the screen. 

The "Update" and "Modify" actions do not prompt the User for a bound LHS fact to update/modify until after the action type has been chosen. The proposed changed requested by Jim requires selection of a bound LHS fact first and then selection of the potential actions that can be applied. TBH, and IMO, this is possibly more counter-intuitive than the current approach.

Comment 4 manstis 2014-08-15 09:13:49 UTC
Joe, could you please give a view on how to improve the popup? Thanks.

Comment 5 Jiri Locker 2014-08-18 12:35:43 UTC
How about replacing the THEN dialog with a two step wizard that offers you a type of action in the first step (insert, logically insert, modfiy, change, call method, etc.) and then, in the second step, lets you choose an argument for the selected action, e.g. a fact type or a variable.

I agree that the list of all possible actions becomes too long when there are many fact types or bound variables.


Note You need to log in before you can comment on or make changes to this bug.